Subject: Re: bug#38618: 27.0.50; Mach port leak on macOS Catalina causing crash

From: Phillip Hutchings <[email-masked]>
Date: Wed, 18 Dec 2019 10:29:06 +1300

On 18/12/2019, at 10:23 AM, Alan Third <[email-masked]> wrote:
> 
> On Tue, Dec 17, 2019 at 12:49:07PM +0900, YAMAMOTO Mitsuharu wrote:
>> 
>> The Mac port (not the NS port in your report) also has the problem of
>> Mach port leaks in -[NSWindow setRepresentedURL:] on macOS 10.15.  I
>> think this is a bug in AppKit or some lower-level stuff.  I'll file it
>> to Apple later.
>> 
>> I've installed a workaround into the "work" branch of the repository
>> of the Mac port:
>> 
>>  https://bitbucket.org/mituharu/emacs-mac/commits/19c97087065b7ca64b71f392a453673042e024c6
> 
> Thank you for finding the problem!
> 
> Can someone on 10.15 try the attached patch, please?
> -- 
> Alan Third
> <0001-Check-if-file-is-in-iCloud-drive-bug-38618.patch>

Just tested the patch against the same revision I was using previously (dd162a3f) and the port leak is fixed, thanks!